# Generated from databranch-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name databranch

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: Implements database branching in development and test by cloning the database automatically, supplementing Git branching workflow
License: MIT
URL: http://rubygems.org/gems/databranch
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(pg) >= 0.19
# BuildRequires: rubygem(pg) < 1
BuildArch: noarch

%description
Implements database branching in development and test by cloning the database
automatically, supplementing Git branching workflow.  This prevents situations
where the database becomes stale due to schema or data inconsistencies between
git branches.  It automates the process of creating and deleting branch
database copies by hooking into git.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.1-1
- Initial package
